/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */
/*
 * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 * Copyright 2015 Nexenta Systems, Inc. All rights reserved.
 */

#ifndef	_ETHERADDR_H
#define	_ETHERADDR_H

/*
 * Module:	etheraddr
 * Description:	This is the solaris-specific interface for retrieving
 *		the MAC (IEEE 802.3) node identifier, a.k.a. the ethernet
 *		address of the system.  Note, only tries SIOCGARP.
 */

#ifdef	__cplusplus
extern "C" {
#endif

#include <sys/socket.h>
#include <net/if.h>
#include <netinet/if_ether.h>
#include <sys/uuid.h>

/* global function */
int	get_ethernet_address(uuid_node_t *);

#ifdef __cplusplus
}
#endif

#endif /* _ETHERADDR_H */
